Main Page Packages Class Hierarchy Compound List File List Compound Members

# documentcreateentityreferenceknown Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documentcreateentityreferenceknown (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "createEntityReference(name)" method creates an EntityReference node. In addition, if the referenced entity is known, the child list of the "EntityReference" node is the same as the corresponding "Entity" node.

Retrieve the entire DOM document and invoke its "createEntityReference(name)" method. It should create a new EntityReference node for the Entity with the given name. The referenced entity is known, therefore the child list of the "EntityReference" node is the same as the corresponding "Entity" node.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-392B75AE

Definition at line 49 of file documentcreateentityreferenceknown.java.

## Constructor & Destructor Documentation

documentcreateentityreferenceknown::documentcreateentityreferenceknown | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file documentcreateentityreferenceknown.java.
    00052  {
    00053       super(factory);
    00054
    00055    }

## Member Function Documentation

String documentcreateentityreferenceknown::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 75 of file documentcreateentityreferenceknown.java.
    00075                                 {
    00076       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documentcreateentityreferenceknown";
    00077    }

void documentcreateentityreferenceknown::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 78 of file documentcreateentityreferenceknown.java. References DOMTestCase::doMain().
    00078                                           {
    00079         DOMTestCase.doMain(documentcreateentityreferenceknown.class,args);
    00080    }

void documentcreateentityreferenceknown::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file documentcreateentityreferenceknown.java. References DOMTestCase::assertEquals(), DOMTestCase::assertSize(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       EntityReference newEntRefNode;
    00060       NodeList newEntRefList;
    00061       Node child;
    00062       String name;
    00063       String value;
    00064       doc = load("staff");
    00065       newEntRefNode = doc.createEntityReference("ent3");
    00066       newEntRefList = newEntRefNode.getChildNodes();
    00067       assertSize("size",1,newEntRefList);
    00068       child = newEntRefNode.getFirstChild();
    00069       name = child.getNodeName();
    00070       assertEquals("name","#text",name);
    00071       value = child.getNodeValue();
    00072       assertEquals("value","Texas",value);
    00073
    00074    }

The documentation for this class was generated from the following file:

- documentcreateentityreferenceknown.java